#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, K, i=0, trazenaKarta;
    scanf("%d %d", &N, &K);
    int niz[N];
    for(i=0; i<N; i++){
        scanf("%d", &niz[i]);
    }
    for(i=0; i<N; i++){
        if(K==niz[i])
            if(i==N-1)
                trazenaKarta=niz[0];
            else
                trazenaKarta=niz[i+1];
    }
    printf("%d", trazenaKarta);
    return 0;
}